# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Goal

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.analytics.Goal

All Implemented Interfaces:
  Extension

    public class Goal

extends ExtensionPoint

Google Analytics goal.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Goal()` Default mutable constructor.
`Goal(java.lang.Boolean active, java.lang.String name, java.lang.Integer number, java.lang.Double value)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.Boolean` `getActive()` Returns the whether the goal is currently active.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`Destination` `getDestination()` Returns the destination.
`Engagement` `getEngagement()` Returns the engagement.
`java.lang.String` `getName()` Returns the goal's name.
`java.lang.Integer` `getNumber()` Returns the goal's number.
`java.lang.Double` `getValue()` Returns the goal's monetary value.
`boolean` `hasActive()` Returns whether it has the whether the goal is currently active.
`boolean` `hasDestination()` Returns whether it has the destination.
`boolean` `hasEngagement()` Returns whether it has the engagement.
`boolean` `hasName()` Returns whether it has the goal's name.
`boolean` `hasNumber()` Returns whether it has the goal's number.
`boolean` `hasValue()` Returns whether it has the goal's monetary value.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setActive(java.lang.Boolean active)` Sets the whether the goal is currently active.
`void` `setDestination(Destination destination)` Sets the destination.
`void` `setEngagement(Engagement engagement)` Sets the engagement.
`void` `setName(java.lang.String name)` Sets the goal's name.
`void` `setNumber(java.lang.Integer number)` Sets the goal's number.
`void` `setValue(java.lang.Double value)` Sets the goal's monetary value.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Goal

    public Goal()

  Default mutable constructor.

### Goal

    public Goal(java.lang.Boolean active,
                java.lang.String name,
                java.lang.Integer number,
                java.lang.Double value)

  Immutable constructor.

  Parameters:
    `active` - whether the goal is currently active.
    `name` - goal's name.
    `number` - goal's number.
    `value` - goal's monetary value.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getActive

    public java.lang.Boolean getActive()

  Returns the whether the goal is currently active.

  Returns:
    whether the goal is currently active

### setActive

    public void setActive(java.lang.Boolean active)

  Sets the whether the goal is currently active.

  Parameters:
    `active` - whether the goal is currently active or `null` to reset

### hasActive

    public boolean hasActive()

  Returns whether it has the whether the goal is currently active.

  Returns:
    whether it has the whether the goal is currently active

### getDestination

    public Destination getDestination()

  Returns the destination.

  Returns:
    destination

### setDestination

    public void setDestination(Destination destination)

  Sets the destination.

  Parameters:
    `destination` - destination or `null` to reset

### hasDestination

    public boolean hasDestination()

  Returns whether it has the destination.

  Returns:
    whether it has the destination

### getEngagement

    public Engagement getEngagement()

  Returns the engagement.

  Returns:
    engagement

### setEngagement

    public void setEngagement(Engagement engagement)

  Sets the engagement.

  Parameters:
    `engagement` - engagement or `null` to reset

### hasEngagement

    public boolean hasEngagement()

  Returns whether it has the engagement.

  Returns:
    whether it has the engagement

### getName

    public java.lang.String getName()

  Returns the goal's name.

  Returns:
    goal's name

### setName

    public void setName(java.lang.String name)

  Sets the goal's name.

  Parameters:
    `name` - goal's name or `null` to reset

### hasName

    public boolean hasName()

  Returns whether it has the goal's name.

  Returns:
    whether it has the goal's name

### getNumber

    public java.lang.Integer getNumber()

  Returns the goal's number.

  Returns:
    goal's number

### setNumber

    public void setNumber(java.lang.Integer number)

  Sets the goal's number.

  Parameters:
    `number` - goal's number or `null` to reset

### hasNumber

    public boolean hasNumber()

  Returns whether it has the goal's number.

  Returns:
    whether it has the goal's number

### getValue

    public java.lang.Double getValue()

  Returns the goal's monetary value.

  Returns:
    goal's monetary value

### setValue

    public void setValue(java.lang.Double value)

  Sets the goal's monetary value.

  Parameters:
    `value` - goal's monetary value or `null` to reset

### hasValue

    public boolean hasValue()

  Returns whether it has the goal's monetary value.

  Returns:
    whether it has the goal's monetary value

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`